<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBillPayablesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bill_payables', function (Blueprint $table) {
            $table->increments('id');

            $table->unsignedInteger('bill_category_id')->nullable();
            $table->unsignedInteger('bill_subcategory_id')->nullable();
            $table->enum('laibility_type', ['Short Term','Long Term'])->nullable();
            $table->enum('payable_type', ['One Time','Reoccuring'])->nullable();
            $table->string('amount',1000)->nullable();
            $table->string('no_of_month',1000)->nullable();
            $table->string('month_amount',1000)->nullable();
            $table->string('description',1000)->nullable();
            $table->enum('lifetime', ['0','1'])->default('0');
            $table->string('paid',1000)->nullable();

            $table->enum('is_recycle', ['0','1'])->default('0');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bill_payables');
    }
}
